package octclipse.core;

import org.eclipse.dltk.core.AbstractLanguageToolkit;
import org.eclipse.dltk.core.IDLTKLanguageToolkit;

public class OctaveLanguageToolkit extends AbstractLanguageToolkit {

	private static final String OCTAVE_CONTENT_TYPE = "org.dworks.octaveide.octaveContentType";
	private static final String OCTAVE_LANGUAGE_NAME = "Octave";
	private static final String OCTAVE_NATURE_ID = OctaveNature.OCTAVE_NATURE;
	
	protected static IDLTKLanguageToolkit instance = new OctaveLanguageToolkit();
	
	public static IDLTKLanguageToolkit getDefault() {
		return instance;
	}
	
	public String getLanguageContentType() {
		return OCTAVE_CONTENT_TYPE;
	}

	public String getLanguageName() {
		return OCTAVE_LANGUAGE_NAME;
	}

	public String getNatureId() {
		return OCTAVE_NATURE_ID;
	}
}
