package octclipse.core;

import octclipse.text.OctaveTextTools;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 */
public class OctavePlugin extends AbstractUIPlugin {

	// The plug-in ID
	public static final String PLUGIN_ID = "org.dworks.octaveide";

	// The shared instance
	private static OctavePlugin plugin;
	
	// The IDE text tools instance
	private OctaveTextTools fTextTools;
	
	/**
	 * The constructor
	 */
	public OctavePlugin() {
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static OctavePlugin getDefault() {
		return plugin;
	}

	/**
	 * Returns the ScriptTextTools instance
	 *
	 * @return the text tools instance
	 */
	public OctaveTextTools getTextTools() {
		if(fTextTools == null) 
			fTextTools = new OctaveTextTools(true);
		return fTextTools;
	}
	
	public static void log(String msg) {
		getDefault().getLog().log(new Status(IStatus.OK, PLUGIN_ID, msg));
	}

}
