package octclipse.core;

import octclipse.text.OctaveTextTools;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 */
public class OctaveUI extends AbstractUIPlugin {

	// The plug-in ID
	public static final String PLUGIN_ID = "octclipse";

	// The shared instance
	private static OctaveUI plugin;
	
	private OctaveTextTools fOctaveTextTools;
	
	/**
	 * The constructor
	 */
	public OctaveUI() {
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	/*
	 * (non-Javadoc)
	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static OctaveUI getDefault() {
		return plugin;
	}

	public synchronized OctaveTextTools getTextTools() {
		if (fOctaveTextTools == null)
			fOctaveTextTools= new OctaveTextTools(true);
	        return fOctaveTextTools;
	}	
}
