package octclipse.editor;

import org.eclipse.dltk.core.IDLTKLanguageToolkit;
import octclipse.core.OctaveLanguageToolkit;
import octclipse.core.OctaveUI;
import octclipse.text.IOctavePartitions;

import org.eclipse.dltk.internal.ui.editor.ScriptEditor;
import org.eclipse.dltk.ui.text.ScriptTextTools;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.jface.text.IDocument;
import org.eclipse.jface.text.IDocumentExtension3;
import org.eclipse.ui.IEditorInput;

public class OctaveEditor extends ScriptEditor {

	public static final String EDITOR_ID = "octclipse.editor";

	public static final String EDITOR_CONTEXT = "#OctaveEditorContext";

	protected void initializeEditor() {
		super.initializeEditor();
		setEditorContextMenuId(EDITOR_CONTEXT);
	}

	public String getEditorId() {
		return EDITOR_ID;
	}

	public IPreferenceStore getScriptPreferenceStore() {
		return OctaveUI.getDefault().getPreferenceStore();
	}

	public IDLTKLanguageToolkit getLanguageToolkit() {
		return OctaveLanguageToolkit.getDefault();
	}

	public ScriptTextTools getTextTools() {
		return OctaveUI.getDefault().getTextTools();
	}

	protected void connectPartitioningToElement(IEditorInput input,
			IDocument document) {
		if (document instanceof IDocumentExtension3) {
			IDocumentExtension3 extension = (IDocumentExtension3) document;
			if (extension
					.getDocumentPartitioner(IOctavePartitions.OCTAVE_PARTITIONING) == null) {
				OctaveDocumentSetup participant = new OctaveDocumentSetup();
				participant.setup(document);
			}
		}
	}
}
