package octclipse.text;

import org.eclipse.jface.text.IDocument;

/**
 * This class identifies the partitions recognized within Octave scripts. There
 * are only two: OCTAVE_COMMENT is the partition for script comments and 
 * OCTAVE_STRING is the partition for Octave strings. Regular script code is
 * not placed in a partition.
 */
public interface IOctavePartitions {

	// This name uniquely identifies the Octave partitioning process
	public static final String OCTAVE_PARTITIONING = "__octave_partitioning__";
	
	public static final String OCTAVE_COMMENT = "__octave_comment__";
	public static final String OCTAVE_STRING = "__octave_string__";
	
    public final static String[] OCTAVE_PARTITION_TYPES = new String[] {
        IDocument.DEFAULT_CONTENT_TYPE, OCTAVE_STRING, OCTAVE_COMMENT
    };
}
